/*
 * Copyright (C) 2004 Laszlo Pere
 * $Id:$
 *
 * This is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Library General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Log:$
 */
#ifndef COMPLEX_WIDGETS_H
#define COMPLEX_WIDGETS_H


#include <gnome.h>
#include "cuiterm.h"
#include "cuilexelements.h"
#include "cuiwindow.h"
#include "background.h"
#include "widgets.h"
#include "filename.h"

CuiWidget *cui_widgets_new_for_filename(CuiWindow *window, CuiLexElement *lex);
CuiWidget *cui_widgets_new_for_directory(CuiWindow *window, CuiLexElement *lex);
CuiWidget *cui_widgets_new_for_fullpath(
		CuiWindow     *window,
		CuiLexElement *filenamelex,
		CuiLexElement *directorylex);

#endif
